Subject: Re: bug#42762: GREP does not support Unicode

From: Shlomi Fish <[email-masked]>
Date: Sat, 8 Aug 2020 21:53:56 +0300

Hi Carlo,

On Sat, 8 Aug 2020 18:17:46 +0200
<[email-masked]> wrote:

> Hi Shlomi,
> 
> mine does not. Maybe this version is too old. I got it with a GIT
> installation.
> 
> So I will look for an updated one.
>

I doubt it is that old, but you may have to rebuild it with extra build-time
options or tweak the https://en.wikipedia.org/wiki/Environment_variable -s.

Also see https://beyondgrep.com/ .
 
> Kind regards
> 
> -----Original Message-----
> From: Shlomi Fish <[email-masked]> 
> Sent: Saturday, August 8, 2020 17:16
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: bug#42762: GREP does not support Unicode
> 
> Hi Carlo!
> 
> On Sat, 8 Aug 2020 15:13:40 +0200
> <[email-masked]> wrote:
> 
> > Its 2020.
> > 
> > GREP really should support Unicode. (UTF-16, UTF-8, with and without
> > signature) Format recognition wouldn't have to be automatic; command 
> > line switches would be sufficient.
> >   
> 
> From what I recall gnu grep has supported UTF-8 and unicode for years. E.g:
> 
> «
> shlomif[homepage]:$trunk$ rg -n 'שלום' src/humour/fortunes/shlomif.xml
> 8120:the Hebrew Wikipedia. סעי לשלום - המפתחות בפנים! 8690:<saying
> who="rindolf">archmint: שלום!</saying> shlomif[homepage]:$trunk$ grep -n
> 'שלום' src/humour/fortunes/shlomif.xml 8120:the Hebrew Wikipedia. סעי לשלום -
> המפתחות בפנים! 8690:<saying who="rindolf">archmint: שלום!</saying>
> shlomif[homepage]:$trunk$ grep --version grep (GNU grep) 3.4 Copyright (C)
> 2020 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or
> later <https://gnu.org/licenses/gpl.html>. This is free software: you are
> free to change and redistribute it. There is NO WARRANTY, to the extent
> permitted by law.
> 
> Written by Mike Haertel and others; see
> <https://git.sv.gnu.org/cgit/grep.git/tree/AUTHORS>.
> shlomif[homepage]:$trunk$ uname -a
> Linux telaviv1.shlomifish.org 5.7.12-desktop-1.mga8 #1 SMP Sat Aug 1 21:39:47
> UTC 2020 x86_64 x86_64 x86_64 GNU/Linux shlomif[homepage]:$trunk$ »
> 
> note that "שלום" is the hebrew spelling of
> https://en.wikipedia.org/wiki/Shalom .
> 
> Regards,
> 
> 	Shlomi Fish
> 
> > I am using version Git for Windows v2.25.0
> > 
> > Kind regards
> > 
> > 
> > 
> > 
> >   
> 
> 
> 

-- 

Shlomi Fish       https://www.shlomifish.org/
Freecell Solver - https://fc-solve.shlomifish.org/

God signs people into the book of life using a pen that Chuck Norris gave him.
    — https://www.shlomifish.org/humour/bits/facts/Chuck-Norris/

Please reply to list if it's a mailing list post - https://shlom.in/reply .